Package org.apache.tools.ant.taskdefs.optional.ccm

## Class CCMCreateTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.ccm.Continuus
      - - org.apache.tools.ant.taskdefs.optional.ccm.CCMCreateTask

All Implemented Interfaces:
  `java.lang.Cloneable`, `ExecuteStreamHandler`

    public class CCMCreateTask
    extends Continuus
    implements ExecuteStreamHandler

Creates new Continuus ccm task and sets it as the default.

### Field Summary

Fields
`static java.lang.String` `FLAG_COMMENT` /comment -- comments associated to the task
`static java.lang.String` `FLAG_PLATFORM` /platform flag -- target platform
`static java.lang.String` `FLAG_RELEASE` /release flag
`static java.lang.String` `FLAG_RESOLVER` /resolver flag
`static java.lang.String` `FLAG_SUBSYSTEM` /release flag
`static java.lang.String` `FLAG_TASK` -task flag -- associate checkout task with task

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus

`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CREATE_TASK, COMMAND_DEFAULT_TASK, COMMAND_RECONFIGURE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`CCMCreateTask()` Constructor for CCMCreateTask.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()` Executes the task.
`java.lang.String` `getComment()` Get the value of comment.
`java.lang.String` `getPlatform()` Get the value of platform.
`java.lang.String` `getRelease()` Get the value of release.
`java.lang.String` `getResolver()` Get the value of resolver.
`java.lang.String` `getSubSystem()` Get the value of subSystem.
`java.lang.String` `getTask()` Get the value of task.
`void` `setComment​(java.lang.String v)` Specifies a comment.
`void` `setPlatform​(java.lang.String v)` Specifies the target platform.
`void` `setProcessErrorStream​(java.io.InputStream is)` Install a handler for the error stream of the subprocess.
`void` `setProcessInputStream​(java.io.OutputStream param1)` Install a handler for the input stream of the subprocess.
`void` `setProcessOutputStream​(java.io.InputStream is)` read the output stream to retrieve the new task number.
`void` `setRelease​(java.lang.String v)` Specify the CCM release.
`void` `setResolver​(java.lang.String v)` Specifies the resolver.
`void` `setSubSystem​(java.lang.String v)` Specifies the subsystem.
`void` `setTask​(java.lang.String v)` Specifies the task number used to checkin the file (may use 'default').
`void` `start()` Start handling of the streams.
`void` `stop()` Stop handling of the streams - will not be restarted.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus

`getCcmAction, getCcmCommand, run, run, setCcmAction, setCcmDir`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT

/comment -- comments associated to the task

See Also:
  Constant Field Values

#### FLAG_PLATFORM

    public static final java.lang.String FLAG_PLATFORM

/platform flag -- target platform

See Also:
  Constant Field Values

#### FLAG_RESOLVER

    public static final java.lang.String FLAG_RESOLVER

/resolver flag

See Also:
  Constant Field Values

#### FLAG_RELEASE

    public static final java.lang.String FLAG_RELEASE

/release flag

See Also:
  Constant Field Values

#### FLAG_SUBSYSTEM

    public static final java.lang.String FLAG_SUBSYSTEM

/release flag

See Also:
  Constant Field Values

#### FLAG_TASK

    public static final java.lang.String FLAG_TASK

-task flag -- associate checkout task with task

See Also:
  Constant Field Values

### Constructor Detail

#### CCMCreateTask

    public CCMCreateTask()

Constructor for CCMCreateTask.

### Method Detail

#### execute

    public void execute()
                 throws BuildException

Executes the task.

Builds a command line to execute ccm and then calls Exec's run method to execute the command line.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - on error

#### getComment

    public java.lang.String getComment()

Get the value of comment.

Returns:
  value of comment.

#### setComment

    public void setComment​(java.lang.String v)

Specifies a comment.

Parameters:
  `v` - Value to assign to comment.

#### getPlatform

    public java.lang.String getPlatform()

Get the value of platform.

Returns:
  value of platform.

#### setPlatform

    public void setPlatform​(java.lang.String v)

Specifies the target platform.

Parameters:
  `v` - Value to assign to platform.

#### getResolver

    public java.lang.String getResolver()

Get the value of resolver.

Returns:
  value of resolver.

#### setResolver

    public void setResolver​(java.lang.String v)

Specifies the resolver.

Parameters:
  `v` - Value to assign to resolver.

#### getRelease

    public java.lang.String getRelease()

Get the value of release.

Returns:
  value of release.

#### setRelease

    public void setRelease​(java.lang.String v)

Specify the CCM release.

Parameters:
  `v` - Value to assign to release.

#### getSubSystem

    public java.lang.String getSubSystem()

Get the value of subSystem.

Returns:
  value of subSystem.

#### setSubSystem

    public void setSubSystem​(java.lang.String v)

Specifies the subsystem.

Parameters:
  `v` - Value to assign to subSystem.

#### getTask

    public java.lang.String getTask()

Get the value of task.

Returns:
  value of task.

#### setTask

    public void setTask​(java.lang.String v)

Specifies the task number used to checkin the file (may use 'default').

Parameters:
  `v` - Value to assign to task.

#### start

    public void start()
               throws java.io.IOException

Description copied from interface: `ExecuteStreamHandler`
Start handling of the streams.

Specified by:
  `start` in interface `ExecuteStreamHandler`
Throws:
  `java.io.IOException` - on error

#### stop

    public void stop()

Description copied from interface: `ExecuteStreamHandler`
Stop handling of the streams - will not be restarted.

Specified by:
  `stop` in interface `ExecuteStreamHandler`

#### setProcessInputStream

    public void setProcessInputStream​(java.io.OutputStream param1)
                               throws java.io.IOException

Description copied from interface: `ExecuteStreamHandler`
Install a handler for the input stream of the subprocess.

Specified by:
  `setProcessInputStream` in interface `ExecuteStreamHandler`
Parameters:
  `param1` - the output stream
Throws:
  `java.io.IOException` - on error

#### setProcessErrorStream

    public void setProcessErrorStream​(java.io.InputStream is)
                               throws java.io.IOException

Description copied from interface: `ExecuteStreamHandler`
Install a handler for the error stream of the subprocess.

Specified by:
  `setProcessErrorStream` in interface `ExecuteStreamHandler`
Parameters:
  `is` - the input stream
Throws:
  `java.io.IOException` - on error

#### setProcessOutputStream

    public void setProcessOutputStream​(java.io.InputStream is)
                                throws java.io.IOException

read the output stream to retrieve the new task number.

Specified by:
  `setProcessOutputStream` in interface `ExecuteStreamHandler`
Parameters:
  `is` - InputStream
Throws:
  `java.io.IOException` - on error